Update a Kit Product
curl --request PUT \
--url https://production.trackstarhq.com/wms/kits/{kit_id} \
--header 'Content-Type: application/json' \
--header 'x-trackstar-access-token: <x-trackstar-access-token>' \
--header 'x-trackstar-api-key: <x-trackstar-api-key>' \
--data '
{
"sku": "sku",
"inventory_items": [
{
"inventory_item_id": "inventory_item_id",
"sku": "sku",
"unit_quantity": 1
}
],
"trackstar_tags": [
"tag1",
"tag2",
{
"tag3": "value3"
}
],
"name": "name",
"gtin": "gtin"
}
'import requests
url = "https://production.trackstarhq.com/wms/kits/{kit_id}"
payload = {
"sku": "sku",
"inventory_items": [
{
"inventory_item_id": "inventory_item_id",
"sku": "sku",
"unit_quantity": 1
}
],
"trackstar_tags": ["tag1", "tag2", { "tag3": "value3" }],
"name": "name",
"gtin": "gtin"
}
headers = {
"x-trackstar-api-key": "<x-trackstar-api-key>",
"x-trackstar-access-token": "<x-trackstar-access-token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-trackstar-api-key': '<x-trackstar-api-key>',
'x-trackstar-access-token': '<x-trackstar-access-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
sku: 'sku',
inventory_items: [{inventory_item_id: 'inventory_item_id', sku: 'sku', unit_quantity: 1}],
trackstar_tags: ['tag1', 'tag2', {tag3: 'value3'}],
name: 'name',
gtin: 'gtin'
})
};
fetch('https://production.trackstarhq.com/wms/kits/{kit_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "id",
"unused_fields": [
"<string>"
],
"data": {
"id": "product_id",
"warehouse_customer_id": "warehouse_customer_id",
"created_date": "2022-01-01T00:00:00Z",
"updated_date": "2022-01-02T05:05:05Z",
"name": "name",
"sku": "sku",
"gtin": "gtin",
"unit_price": 10.99,
"inventory_items": [
{
"inventory_item_id": "id1",
"sku": "sku1",
"unit_quantity": 1
},
{
"inventory_item_id": "id2",
"sku": "sku2",
"unit_quantity": 1
}
],
"is_kit": true,
"active": true,
"supplier_object": {
"supplier_id": "supplier_id",
"supplier_name": "supplier_name"
},
"country_of_origin": "USA",
"harmonized_code": "123456",
"supplier_products": [
{
"supplier_id": "id1",
"supplier_name": "name1",
"external_id": "ext_id1",
"unit_cost": 1
},
{
"supplier_id": "id2",
"supplier_name": "name2",
"external_id": "ext_id2",
"unit_cost": 2.5
}
],
"categories": [
"Electronics",
"Accessories"
],
"image_urls": [
"https://example.com/image1.jpg"
],
"external_system_url": "https://example.com/product/123",
"trackstar_tags": [
"tag1",
"tag2",
{
"tag3": "value3"
}
],
"additional_fields": {
"key": "value"
},
"trackstar_created_date": "2023-11-07T05:31:56Z",
"trackstar_updated_date": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"id": "<string>"
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Products
Update a Kit Product
Get the required, optional, and integration specific fields by calling the integrations endpoint.
PUT
/
wms
/
kits
/
{kit_id}
Update a Kit Product
Headers
Your organization-level Trackstar API key.
Example:
"<x-trackstar-api-key>"
Your user's access token for a specific integration (ShipHero, Extensiv, etc).
Example:
"<x-trackstar-access-token>"
Path Parameters
Body
application/json
- Base Schema
- Cin7 Core (Dear Systems)
- Extensiv (3PL Central)
- Infoplus
- MasonHub
- Ongoing WMS
- WMS Sandbox
- ShipHero
- ShipStream
- Whiplash (Ryder)
sku
Example:
"sku"
Inventory Items that make up this kit.
Show child attributes
Show child attributes
Example:
[
{
"inventory_item_id": "inventory_item_id",
"sku": "sku",
"unit_quantity": 1
}
]
A list of custom tags associated with the resource. A tag can be either a string or a dictionary with one key-value pair.
Example:
["tag1", "tag2", { "tag3": "value3" }]
name
Example:
"name"
The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
Example:
"gtin"
Show child attributes
Show child attributes
⌘I